"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _command = require("@oclif/command");

var _zsExtract = require("zs-extract");

var _meta = require("../meta");

var _command2 = require("../command");

/**
 * Info command.
 */
class Info extends _command2.Command {
  /**
   * Description.
   */

  /**
   * Examples.
   */

  /**
   * Flags.
   */

  /**
   * Arguments.
   */

  /**
   * Handler.
   */
  async run() {
    // tslint:disable-next-line: no-unused
    const {
      args,
      flags
    } = this.parse(Info);
    this.log('Version:');
    this.log(`  ${_meta.NAME}: ${_meta.VERSION}`);
    this.log('');
    this.log('Library versions:');

    for (const info of [[_zsExtract.NAME, _zsExtract.VERSION]]) {
      this.log(`  ${info[0]}: ${info[1]}`);
    }

    this.log('');
  }

}

exports.default = Info;
Info.description = 'display info about program';
Info.examples = [];
Info.flags = {
  help: _command.flags.help({
    char: 'h'
  })
};
Info.args = [];
//# sourceMappingURL=info.js.map
