import { Command } from '../command';
/**
 * Info command.
 */
export default class Info extends Command {
    /**
     * Description.
     */
    static description: string;
    /**
     * Examples.
     */
    static examples: never[];
    /**
     * Flags.
     */
    static flags: {
        help: import("@oclif/parser/lib/flags").IBooleanFlag<void>;
    };
    /**
     * Arguments.
     */
    static args: never[];
    /**
     * Handler.
     */
    run(): Promise<void>;
}
